singleton.h File Reference
`#include <cstddef>`
`#include <iterator>`
Include dependency graph for singleton.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | wibble::Singleton< T >
class | wibble::Singleton< T >::const_iterator
class | wibble::Singleton< T >::iterator

## Namespaces

| wibble

## Functions

template<typename T >
Singleton< T > | wibble::singleton (const T &value)